Skip to main content
POST
Run a Knowledge Extension

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

knowledgeStoreId
string
required

The Id of the KnowledgeStore

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
extension
string
type
string
updateKnowledge
boolean
config
object

Response

Returns KnowledgeSource metadata object.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

name
string

The name of the KnowledgeSource

Example:

"mysource"

description
string

The description about what the knowledge source contains

Example:

"mysource description"

type
enum<string>

The type of source for the Knowledge store

Available options:
url,
manual,
pdf,
txt,
ctxt,
extension
metaData
object
data
object

Custom metadata object to store additional information in the KnowledgeSource

Example:
chunkCount
integer
status
enum<string>
Available options:
ready,
ingesting,
disabled
connectorReference
string<uuid>

The connector Id associated with the KnowledgeSource. This is only applicable for KnowledgeSources of type "extension"

referenceId
string<uuid>
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026